import generateManifest from '../controllers/manifest.mjs';
import generateCanvas from '../controllers/canvas.mjs';
import express from 'express';

let router = express.Router();

/* GET manifest JSON */
router.get('/iiif/:manifestid/manifest', function(req, res) {
	const manifest = generateManifest(req.params.manifestid)
	res.json(manifest);
});

/* GET manifest JSON */
router.get('/iiif/:manifestid/canvas/:name', function(req, res) {
	const canvas = generateCanvas(req.params.manifestid, req.params.name)
	res.json(canvas);
});

export default router;
